ruby1.8_1.8.3-1(m68k/unstable/poseidon): FTBFS on m68k

Bug #22167 reported by Debian Bug Importer on 2005-09-21
4
Affects Status Importance Assigned to Milestone
ruby1.8 (Debian)
Fix Released
Unknown
ruby1.8 (Ubuntu)
High
Unassigned

Bug Description

Automatically imported from Debian bug report #329364 http://bugs.debian.org/329364

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #329364 http://bugs.debian.org/329364

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 21 Sep 2005 07:05:06 -0500
From: Stephen R Marenka <email address hidden>
To: <email address hidden>
Subject: ruby1.8_1.8.3-1(m68k/unstable/poseidon): FTBFS on m68k

Package: ruby1.8
Version: 1.8.3-1
Severity: serious
Justification: fails to build on release candidate arch.
Tags: sid

ruby1.8 fails to build from source on m68k. This is might well be a
gcc-4.0 toolchain problem, but I'm not really sure so I'm passing this
along so you're aware of it. Feel free to do whatever you want with this
bug.

Here are selected excerpts from the buildd log.

| Automatic build of ruby1.8_1.8.3-1 on poseidon by sbuild/m68k 42
| Build started at 20050921-0000
| ******************************************************************************

 [...]

| ** Using build dependencies supplied by package:
| Build-Depends: debhelper (>= 3.0), dbs, patch, autoconf, m4, bison, libgdbm-dev, libncurses5-dev, libreadline5-dev, tcl8.4-dev, tk8.4-dev, zlib1g-dev, libssl-dev (>= 0.9.6b)
| Build-Conflicts: gcc-3.3 (<< 1:3.3.2-0pre1)

 [...]

| Checking correctness of source dependencies...
| Toolchain package versions: libc6-dev_2.3.5-6 linux-kernel-headers_2.6.13+0rc3-1.1 gcc-4.0_4.0.1-7 g++-4.0_4.0.1-7 binutils_2.16.1-2 libstdc++6-4.0-dev_4.0.1-7 libstdc++6_4.0.1-7

 [...]

| gcc -Wall -g -O2 -fPIC -I. -I. -c object.c
| gcc -Wall -g -O2 -fPIC -I. -I. -c pack.c
| pack.c: In function 'pack_unpack':
| pack.c:1988: error: unable to find a register to spill in class 'ADDR_REGS'
| pack.c:1988: error: this is the insn:
| (insn 2713 2712 2714 406 pack.c:1762 (set (reg:SI 8 ?a0 [609])
| (plus:SI (subreg:SI (reg:QI 133 [ temp.1416 ]) 0)
| (const_int 32 [0x20]))) 95 {*addsi3_internal} (nil)
| (expr_list:REG_DEAD (reg:QI 133 [ temp.1416 ])
| (nil)))
| pack.c:1988: confused by earlier errors, bailing out
| make[1]: *** [pack.o] Error 1
| make[1]: Leaving directory `/build/buildd/ruby1.8-1.8.3/build-tree/ruby-1.8.3'
| make: *** [build-arch-stamp] Error 2
| ******************************************************************************
| Build finished at 20050921-0157
| FAILED [dpkg-buildpackage died]

A full buildd log is available at
<http://buildd.debian.org/build.php?pkg=ruby1.8&ver=1.8.3-1&arch=m68k>

Other buildd logs may be available at
<http://buildd.debian.org/build.php?arch=&pkg=ruby1.8>

--
Stephen R. Marenka If life's not fun, you're not doing it right!
<email address hidden>

Charles Majola (chmj) wrote :

not for us

block 329364 by 323016
thanks

gcc-4.0 bug which can usually be worked around using -01.

--
Stephen R. Marenka If life's not fun, you're not doing it right!
<email address hidden>

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 20 Oct 2005 07:51:46 -0500
From: Stephen R Marenka <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: m68k toolchain

--+g7M9IMkV8truYOl
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

block 329364 by 323016
thanks

gcc-4.0 bug which can usually be worked around using -01.

--=20
Stephen R. Marenka If life's not fun, you're not doing it right!
<email address hidden>

--+g7M9IMkV8truYOl
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDV5LiVKM4J7YoSbMRArLwAJ9Lu8t/VPcQYHLzKWSTSeoO51tz7QCcDt1S
NqW7DaQRDD6puYy70iu2b6E=
=uj+W
-----END PGP SIGNATURE-----

--+g7M9IMkV8truYOl--

Download full text (6.4 KiB)

Source: ruby1.8
Source-Version: 1.8.3-3

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.3-3_all.deb
libdbm-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.3-3_i386.deb
libgdbm-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.3-3_i386.deb
libopenssl-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.3-3_i386.deb
libreadline-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.3-3_i386.deb
libruby1.8-dbg_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.3-3_i386.deb
libruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.3-3_i386.deb
libtcltk-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.3-3_i386.deb
rdoc1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.3-3_all.deb
ri1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.3-3_all.deb
ruby1.8-dev_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.3-3_i386.deb
ruby1.8-elisp_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.3-3_all.deb
ruby1.8-examples_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.3-3_all.deb
ruby1.8_1.8.3-3.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3.diff.gz
ruby1.8_1.8.3-3.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3.dsc
ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 29 Oct 2005 12:45:27 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.3-3
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8 - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8 - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header ...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (6.6 KiB)

Message-Id: <email address hidden>
Date: Fri, 28 Oct 2005 22:02:12 -0700
From: akira yamada <email address hidden>
To: <email address hidden>
Subject: Bug#329364: fixed in ruby1.8 1.8.3-3

Source: ruby1.8
Source-Version: 1.8.3-3

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.3-3_all.deb
libdbm-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.3-3_i386.deb
libgdbm-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.3-3_i386.deb
libopenssl-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.3-3_i386.deb
libreadline-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.3-3_i386.deb
libruby1.8-dbg_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.3-3_i386.deb
libruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.3-3_i386.deb
libtcltk-ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.3-3_i386.deb
rdoc1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.3-3_all.deb
ri1.8_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.3-3_all.deb
ruby1.8-dev_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.3-3_i386.deb
ruby1.8-elisp_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.3-3_all.deb
ruby1.8-examples_1.8.3-3_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.3-3_all.deb
ruby1.8_1.8.3-3.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3.diff.gz
ruby1.8_1.8.3-3.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3.dsc
ruby1.8_1.8.3-3_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.3-3_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 29 Oct 2005 12:45:27 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.3-3
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Generat...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.